| QxOrm 1.4.9 C++ Object Relational Mapping library

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Static Private Member Functions | Static Private Attributes
qx::trait::is_container_to_pod< T > Class Template Reference

`#include <is_container_to_pod.h>`

List of all members.

## Public Types
enum | { value = (qx::trait::is_container<T>::value && (sizeof(qx::trait::is_container_to_pod<T>::removeContainer(t)) == sizeof(char))) }
typedef std::conditional < qx::trait::is_container_to_pod < T >::value, std::true_type, std::false_type >::type | type
## Static Private Member Functions
template<typename U >
static std::conditional < qx::trait::is_qx_pod< U > ::value, char, int >::type | removeContainer (const std::vector< U > &)
template<typename U >
static std::conditional < qx::trait::is_qx_pod< U > ::value, char, int >::type | removeContainer (const std::list< U > &)
template<typename U >
static std::conditional < qx::trait::is_qx_pod< U > ::value, char, int >::type | removeContainer (const std::set< U > &)
template<typename U >
static std::conditional < qx::trait::is_qx_pod< U > ::value, char, int >::type | removeContainer (const QList< U > &)
template<typename U >
static std::conditional < qx::trait::is_qx_pod< U > ::value, char, int >::type | removeContainer (const QSet< U > &)
template<typename U >
static std::conditional < qx::trait::is_qx_pod< U > ::value, char, int >::type | removeContainer (const boost::unordered_set< U > &)
template<typename U >
static std::conditional < qx::trait::is_qx_pod< U > ::value, char, int >::type | removeContainer (const boost::unordered_multiset< U > &)
template<typename U >
static std::conditional < qx::trait::is_qx_pod< U > ::value, char, int >::type | removeContainer (const std::unordered_set< U > &)
template<typename U >
static std::conditional < qx::trait::is_qx_pod< U > ::value, char, int >::type | removeContainer (const std::unordered_multiset< U > &)
static int | removeContainer (...)
## Static Private Attributes
static T | t

## Detailed Description

### template<typename T>
class qx::trait::is_container_to_pod< T >

Definition at line 46 of file is_container_to_pod.h.

## Member Typedef Documentation

template<typename T >

typedef std::conditional<qx::trait::is_container_to_pod<T>::value, std::true_type, std::false_type>::type qx::trait::is_container_to_pod< T >::type

Definition at line 99 of file is_container_to_pod.h.

## Member Enumeration Documentation

template<typename T >

anonymous enum

Enumerator:

  value |

Definition at line 97 of file is_container_to_pod.h.

## Member Function Documentation

template<typename T >
template<typename U >

static std::conditional<qx::trait::is_qx_pod<U>::value, char, int>::type qx::trait::is_container_to_pod< T >::removeContainer | ( | const std::vector< U > & |  | ) | `[static, private]`

template<typename T >
template<typename U >

static std::conditional<qx::trait::is_qx_pod<U>::value, char, int>::type qx::trait::is_container_to_pod< T >::removeContainer | ( | const std::list< U > & |  | ) | `[static, private]`

template<typename T >
template<typename U >

static std::conditional<qx::trait::is_qx_pod<U>::value, char, int>::type qx::trait::is_container_to_pod< T >::removeContainer | ( | const std::set< U > & |  | ) | `[static, private]`

template<typename T >
template<typename U >

static std::conditional<qx::trait::is_qx_pod<U>::value, char, int>::type qx::trait::is_container_to_pod< T >::removeContainer | ( | const QList< U > & |  | ) | `[static, private]`

template<typename T >
template<typename U >

static std::conditional<qx::trait::is_qx_pod<U>::value, char, int>::type qx::trait::is_container_to_pod< T >::removeContainer | ( | const QSet< U > & |  | ) | `[static, private]`

template<typename T >
template<typename U >

static std::conditional<qx::trait::is_qx_pod<U>::value, char, int>::type qx::trait::is_container_to_pod< T >::removeContainer | ( | const boost::unordered_set< U > & |  | ) | `[static, private]`

template<typename T >
template<typename U >

static std::conditional<qx::trait::is_qx_pod<U>::value, char, int>::type qx::trait::is_container_to_pod< T >::removeContainer | ( | const boost::unordered_multiset< U > & |  | ) | `[static, private]`

template<typename T >
template<typename U >

static std::conditional<qx::trait::is_qx_pod<U>::value, char, int>::type qx::trait::is_container_to_pod< T >::removeContainer | ( | const std::unordered_set< U > & |  | ) | `[static, private]`

template<typename T >
template<typename U >

static std::conditional<qx::trait::is_qx_pod<U>::value, char, int>::type qx::trait::is_container_to_pod< T >::removeContainer | ( | const std::unordered_multiset< U > & |  | ) | `[static, private]`

template<typename T >

static int qx::trait::is_container_to_pod< T >::removeContainer | ( |  | ... | ) | `[static, private]`

## Member Data Documentation

template<typename T >

T qx::trait::is_container_to_pod< T >::t`[static, private]`

Definition at line 93 of file is_container_to_pod.h.

The documentation for this class was generated from the following file:

- C:/Dev/_Perso/QxOrm/include/QxTraits/is_container_to_pod.h